%global somajor 2

Summary: A tool for generating scanners (text pattern recognizers)
Name: flex
Version: 2.6.4
Release: 4%{?dist}
License: BSD and LGPLv2+
URL: https://github.com/westes/flex
Source0: %{url}/releases/download/v%{version}/flex-%{version}.tar.gz
Patch3000: flex-rh1389575.patch

BuildRequires: gcc gcc-c++ make automake
BuildRequires: libtool help2man m4
BuildRequires: gettext gettext-devel bison 
Requires: m4

%description
The flex program generates scanners that can recognize lexical patterns in text.  
Flex searches for the occurrence of regular expressions through its input.When 
a match is found, it executes the corresponding C code.Flex was designed to work 
with both Yacc and Bison.

%package -n libfl%{somajor}
Summary: Libraries for the flex scanner generator

%description -n libfl%{somajor}
This package contains the Flex binaries, which you can use to link to the shared 
library that contains the 'main' and' yywrap' functions.

%package -n libfl-devel
Summary: Development files for the flex scanner generator
Requires: libfl%{somajor} = %{version}-%{release}

%description -n libfl-devel
This package contains files required to build programs that use flex
libraries.

%package -n libfl-static
Summary: Static libraries for the flex scanner generator
Provides: flex-static = %{version}-%{release}
Provides: flex-devel = %{version}-%{release}

%description -n libfl-static
This package contains the Flex binaries that you can use to statically link to 
the shared library that contains the 'main' and' yywrap' functions.

%prep
%autosetup -p1

%build
autoreconf -i
%configure --docdir=%{_pkgdocdir} CFLAGS="-fPIC $RPM_OPT_FLAGS"
%make_build

%install
rm -rf %{buildroot}
%make_install
rm -f %{buildroot}/%{_infodir}/dir
rm -f %{buildroot}/%{_pkgdocdir}/{README.cvs,TODO,AUTHORS,COPYING,ONEWS}
find %{buildroot} -name '*.la' -delete

( cd %{buildroot}
  ln -sf flex .%{_bindir}/lex
  ln -sf flex .%{_bindir}/flex++
  ln -s flex.1 .%{_mandir}/man1/lex.1
  ln -s flex.1 .%{_mandir}/man1/flex++.1
  ln -s libfl.a .%{_libdir}/libl.a
)

%find_lang flex

%check
make check

%files -f flex.lang
%license COPYING
%doc NEWS README.md
%{_bindir}/*
%{_includedir}/FlexLexer.h
%{_infodir}/flex.info*
%{_mandir}/man1/*

%files -n libfl%{somajor}
%{_libdir}/libfl.so.%{somajor}*

%files -n libfl-devel
%{_includedir}/FlexLexer.h
%{_libdir}/libfl.so

%files -n libfl-static
%license COPYING
%{_libdir}/*.a

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6.4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6.4-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jul 27 2022 Wang Guodong <gordonwwang@tencent.com> - 2.6.4-1
- package init.
